create table flow_definition
(
    id              bigint                 not null comment '主键id'
        primary key,
    flow_code       varchar(40)            not null comment '流程编码',
    flow_name       varchar(100)           not null comment '流程名称',
    category        varchar(100)           null comment '流程类别',
    version         varchar(20)            not null comment '流程版本',
    is_publish      tinyint(1) default 0   not null comment '是否发布（0未发布 1已发布 9失效）',
    form_custom     char       default 'N' null comment '审批表单是否自定义（Y是 N否）',
    form_path       varchar(100)           null comment '审批表单路径',
    activity_status tinyint(1) default 1   not null comment '流程激活状态（0挂起 1激活）',
    listener_type   varchar(100)           null comment '监听器类型',
    listener_path   varchar(400)           null comment '监听器路径',
    ext             varchar(500)           null comment '业务详情 存业务表对象json字符串',
    create_time     datetime               null comment '创建时间',
    update_time     datetime               null comment '更新时间',
    del_flag        char       default '0' null comment '删除标志',
    tenant_id       varchar(40)            null comment '租户id'
)
    comment '流程定义表';

